#!/bin/bash
. localrcs

TIMESTAMP=1234
CHECKTYPE=clear_disk_data
CHECKRESULT=pass

DISKS=

for disk in $(awk '/sd[a-z]$|nvme/{print $NF}' /proc/partitions);do
    dd if=/dev/zero of=/dev/$disk bs=1M count=100
    DISKS="${DISKS},$disk"
done

CHECKRESULT=pass
CHECKOUTPUT="$DISKS"

feedback $TIMESTAMP $CHECKTYPE $CHECKRESULT "$CHECKOUTPUT"
